<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
            xmlns="http://camitk.imag.fr/cepcoreschema"
            targetNamespace="http://camitk.imag.fr/cepcoreschema"
            elementFormDefault="qualified"
>
  <xsd:include schemaLocation="Actions.xsd"/>
  <xsd:include schemaLocation="Components.xsd"/>
<!--  <xsd:include schemaLocation="External.xsd"/> -->
  <xsd:include schemaLocation="ExtensionType.xsd"/>

  <xsd:element name="extension" type="Extension"/>
  <xsd:complexType name="Extension">
    <xsd:sequence>
      <xsd:element name="name"        type="xsd:string"/>
      <xsd:element name="description" type="xsd:string"/>
      <xsd:element name="extensionClass" type="xsd:NCName"/>
      <xsd:choice>
        <xsd:element name="actions"     type="Actions"/>
<!--             <xsd:element name="application"  type="Application"/> -->
        <xsd:element name="components"   type="Components"/>
<!--             <xsd:element name="viewer"      type="viewer"/> -->
      </xsd:choice>
<!--      <xsd:element name="external" minOccurs="0" maxOccurs="unbounded" type="External"/> -->
     </xsd:sequence>
    <xsd:attribute name="type" type="ExtensionType"/>
  </xsd:complexType>
</xsd:schema>
